Subject: Re: bug#55227: [PATCH core-updates 0/8] The Full Source Bootstrap

From: Ludovic Courtès <[email-masked]>
Date: Thu, 12 May 2022 13:09:32 +0200

Hello!

"Jan (janneke) Nieuwenhuizen" <[email-masked]> skribis:

> About a year ago we cheered something like:  WE DID IT!!!
>
> Today I am very excited to finally have released GNU Mes 0.24 which supports
> the Full Source Bootstrap.  So we did what?  As Carl Dong once so eloquently
> put it
>
>    The holy grail of bootstrappability will be connecting mes to hex0
>
> which is exactly what this patch series brings.

Woohoo!!  Truly amazing.  I just can’t believe it’s become a reality!

> Starting from an 357-byte hex0 provided by the new bootstrap-seeds package,
> the new stage0-posix package builds hex0, kaem, hex1, catm, hex2, M0, cc_x86,
> M1, M2, get_machine, (mescc-tools), and M2-Planet.  The 0.24 release of Mes
> can now be built using this M2-Planet.
>
> This means that the bootstrap binaries that were added as part of the Reduced
> Binary Seed Bootstrap (see
> https://guix.gnu.org/blog/2020/guix-further-reduces-bootstrap-seed-to-25):
> %bootstrap-mescc-tools, %bootstrap-mes, are now removed again.

Yay!  (And we’ll need a new blog post once that’s merged!)

>   commencement: Add bootstrap-seeds.
>   commencement: Add stage0-posix.
>   commencement: mes-boot: Update to 0.24, build with M2-Planet.
>   commencement: tcc-boot0: Use NYACC-1.00.2.
>   commencement: tcc-boot0: Update to 0.9.26-1136-g0fbeb2dd.
>   bootstrap: Remove %bootstrap-mescc-tools, %bootstrap-mes.
>   commencement: Remove %bootstrap-mes-rewired.
>   doc: Add the "Full Source Bootstrap".

I haven’t checked but if you confirm that ‘guix build coreutils’ or
similar passes (and that the output of ‘guix build coreutils -s
powerpc64le -d’, for example, is unaffected), this can go on
‘core-updates’.

Please add “gnu:” as a prefix to the commit log of patches that modify
gnu/packages/*.

>  4 files changed, 315 insertions(+), 308 deletions(-)

And on top of that, it comes almost for free in terms of lines of code
on our side.  :-)

One last thing: *thank you*.  Thank you for bringing it to completion,
for never giving up in the face of a mountain of challenges of all
sorts; thank you for inspiring us!

Ludo’.